import { Platform, StyleSheet } from 'react-native'
import appColors from '../../../../../theme/appColors'
import appFonts from '../../../../../theme/appFonts'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../../theme/appConstant'

const styles = StyleSheet.create({
  dataView: {
    maxHeight: windowHeight(42),
    marginHorizontal: windowWidth(4),
    borderRadius: windowWidth(5),
    marginTop: windowHeight(1.5),
    overflow: 'hidden',
    borderWidth: windowWidth(0.45),
  },
  list: {
    justifyContent: 'space-between',
    marginHorizontal: windowWidth(3),
    marginVertical: windowHeight(1.5),
  },
  receiptView: {
    height: windowHeight(5),
    width: windowWidth(10),
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: 10,
  },
  detailView: {
    marginHorizontal: windowWidth(3),
    justifyContent: 'center',
  },
  description: {
    color: appColors.secondaryFont,
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.regular,
  },
  id: {
    fontSize: fontSizes.FONT3,
    fontFamily: appFonts.medium,
    width: windowWidth(40),
  },
  amountView: {
    marginVertical: windowHeight(1),
    width: windowWidth(28),
    justifyContent: 'flex-end',
    flexWrap: 'wrap',
    marginHorizontal: windowWidth(2),
  },
  amount: {
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.medium,
  },
  icons: {
    marginVertical: windowHeight(0.5),
    marginHorizontal: windowWidth(0.5),
  },
  dash: {
    height: windowHeight(0.6),
    width: '100%',
  },
})
export default styles
